Skip to main content
GET
/
v2
/
transcript
/
{transcript_id}
/
{subtitle_format}
Get subtitles for transcript
curl --request GET \
  --url https://api.assemblyai.com/v2/transcript/{transcript_id}/{subtitle_format} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.assemblyai.com/v2/transcript/{transcript_id}/{subtitle_format}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.assemblyai.com/v2/transcript/{transcript_id}/{subtitle_format}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"1\n00:00:13,160 --> 00:00:16,694\nLast year I showed these two slides that demonstrate that the Arctic\n\n2\n00:00:16,734 --> 00:00:20,214\nice cap, which for most of the last 3 million years has been the size\n\n3\n00:00:20,254 --> 00:00:23,274\nof the lower 48 states, has shrunk by 40%.\n"

Authorizations

Authorization
string
header
required

Path Parameters

transcript_id
string
required

ID of the transcript

subtitle_format
enum<string>
required

The format of the captions Format of the subtitles

Available options:
srt,
vtt

Query Parameters

chars_per_caption
integer

The maximum number of characters per caption

Response

The exported captions as text

The response is of type string.

Example:

"WEBVTT\n00:12.340 --> 00:16.220\nLast year I showed these two slides said that demonstrate\n00:16.200 --> 00:20.040\nthat the Arctic ice cap which for most of the last 3,000,000 years has been the\n00:20.020 --> 00:25.040\nsize of the lower 48 States has shrunk by 40% but this understates\n"